## boinc 5.10.45

=== zip/zip/unix/Makefile ===
# Makefile for Zip, ZipNote, ZipCloak and ZipSplit

# what you can make ...
all:
	@echo ''
	@echo 'Make what?  You must say what system to make Zip for--e.g.'
	@echo '"make generic".  Choices: generic, generic_gcc,'
	@echo 'att6300nodir, coherent, cray_v3, lynx, minix, os390, qnx,'
	@echo 'qnxnto, solaris, solaris_gcc'
	@echo 'See the files INSTALL and zip.txt for more information.'
	@echo ''

list:   all

MAKE = make -f unix/Makefile
SHELL = /bin/sh
LN = ln -s

# (to use the Gnu compiler, change cc to gcc in CC)
CC = cc
BIND = $(CC)
AS = $(CC) -c
E =
CPP = /lib/cpp

# probably can change this to 'install' if you have it
INSTALL = cp
# probably can change this to 'install -d' if you have it
# XXX NextStep 3.3 and Openstep 4.x don't know about -p !
INSTALL_D = mkdir -p
CHMOD = chmod
BINFLAGS = 555
MANFLAGS = 444

# target directories - where to install executables and man pages to
prefix = /usr/local
BINDIR = $(prefix)/bin
manext=1
MANDIR = $(prefix)/man/man$(manext)
ZIPMANUAL = MANUAL
PKGDIR = IZzip
VERSION = Version 2.3

# flags
#   CFLAGS    flags for C compile
#   LFLAGS1   flags after output file spec, before obj file list
#   LFLAGS2   flags after obj file list (libraries, etc)
CFLAGS = -O2 -I. -DOS2 $(LOCAL_ZIP)
LFLAGS1 =
LFLAGS2 = -s

# object file lists
OBJZ = zip.o zipfile.o zipup.o fileio.o util.o globals.o crypt.o ttyio.o \
       unix.o crc32.o crctab.o
OBJI = deflate.o trees.o
OBJA =
OBJU = zipfile_.o fileio_.o util_.o globals.o unix_.o
OBJN = zipnote.o  $(OBJU)
OBJC = zipcloak.o $(OBJU) crctab.o crypt_.o ttyio.o
OBJS = zipsplit.o $(OBJU)

ZIP_H = zip.h ziperr.h tailor.h unix/osdep.h

# suffix rules
.SUFFIXES:
.SUFFIXES: _.o .o .c .doc .1
.c_.o:
	rm -f $*_.c; $(LN) $< $*_.c
	$(CC) -c $(CFLAGS) -DUTIL $*_.c
	rm -f $*_.c
.c.o:
	$(CC) -c $(CFLAGS) $<

.1.doc:
	nroff -man $< | col -b | uniq > $@

# rules for zip, zipnote, zipcloak, zipsplit, and the Zip MANUAL.
$(OBJZ): $(ZIP_H)
$(OBJI): $(ZIP_H)
$(OBJN): $(ZIP_H)
$(OBJS): $(ZIP_H)
$(OBJC): $(ZIP_H)
zip.o zipup.o crypt.o ttyio.o zipcloak.o crypt_.o: crypt.h
zip.o zipup.o zipnote.o zipcloak.o zipsplit.o: revision.h
zip.o crypt.o ttyio.o zipcloak.o crypt_.o: ttyio.h
zipup.o: unix/zipup.h

match.o: match.S
	$(CPP) match.S > _match.s
	$(AS) _match.s
	mv _match.o match.o
	rm -f _match.s

crc_i386.o: crc_i386.S
	$(CPP) crc_i386.S > crc_i386.s
	$(AS) crc_i386.s
	rm -f crc_i386.s

unix.o: unix/unix.c
	$(CC) -c $(CFLAGS) unix/unix.c

unix_.o: unix/unix.c
	rm -f unix_.c; $(LN) unix/unix.c unix_.c
	$(CC) -c $(CFLAGS) -DUTIL unix_.c
	rm -f unix_.c

ZIPS = zip$E zipnote$E zipsplit$E zipcloak$E

zips: $(ZIPS)
zipsman: $(ZIPS) $(ZIPMANUAL)

zip$E: $(OBJZ) $(OBJI) $(OBJA)
	$(BIND) -o zip$E $(LFLAGS1) $(OBJZ) $(OBJI) $(OBJA) $(LFLAGS2)
zipnote$E: $(OBJN)
	$(BIND) -o zipnote$E $(LFLAGS1) $(OBJN) $(LFLAGS2)
zipcloak$E: $(OBJC)
	$(BIND) -o zipcloak$E $(LFLAGS1) $(OBJC) $(LFLAGS2)
zipsplit$E: $(OBJS)
	$(BIND) -o zipsplit$E $(LFLAGS1) $(OBJS) $(LFLAGS2)

$(ZIPMANUAL): man/zip.1
	nroff -man man/zip.1 | col -b | uniq > $(ZIPMANUAL)


# install
install:        $(ZIPS)
	-$(INSTALL_D) $(BINDIR)
	$(INSTALL) $(ZIPS) $(BINDIR)
	-cd $(BINDIR); $(CHMOD) $(BINFLAGS) $(ZIPS)
	-$(INSTALL_D) $(MANDIR)
	$(INSTALL) man/zip.1 $(MANDIR)/zip.$(manext)
	$(CHMOD) $(MANFLAGS) $(MANDIR)/zip.$(manext)

uninstall:
	-cd $(BINDIR); rm -f $(ZIPS)
	-cd $(MANDIR); rm -f zip.$(manext)

flags:  unix/configure
	sh unix/configure "${CC}" "${CFLAGS}"

# These symbols, when #defined using -D have these effects on compilation:
# ZMEM                  - includes C language versions of memset(), memcpy(),
#                         and memcmp() (util.c).
# HAVE_DIRENT_H         - use <dirent.h> instead of <sys/dir.h>
# NODIR                 - for 3B1, which has neither getdents() nor opendir().
# HAVE_NDIR_H           - use <ndir.h> (unix/unix.c).
# HAVE_SYS_DIR_H        - use <sys/dir.h>
# HAVE_SYS_NDIR_H       - use <sys/ndir.h>
# UTIL                  - select routines for utilities (note, cloak, split)
# NO_RMDIR              - remove directories using a system("rmdir ...") call.
# NO_PROTO              - cannot handle ANSI prototypes
# NO_CONST              - cannot handle ANSI const

#               Generic targets:

generic: flags
	eval $(MAKE) zips `cat flags`

generic_gcc:
	$(MAKE) generic CC=gcc CPP="gcc -E"

# AT&T 6300 PLUS (don't know yet how to allocate 64K bytes):
att6300nodir:
	$(MAKE) zips LFLAGS1="-Ml -s" \
	CFLAGS="-DUNIX -I. -O -Ml -DNO_RMDIR -DDYN_ALLOC -DMEDIUM_MEM \
-DWSIZE=16384 -DNO_STDLIB_H -DNO_STDDEF_H -DNO_RENAME \
-DNO_MKTIME -DNO_SIZE_T -DNO_VOID -DNO_PROTO -DNO_DIR \
-DNO_CONST -DHAVE_TERMIO_H" \
	"LFLAGS2="

# Coherent (AS definition not needed for gcc)
coherent:
	$(MAKE) zips CFLAGS="-DUNIX -I. -O -DDIRENT -DASMV" AS="as -gx" \
		     OBJA=match.o

# Cray Unicos 6.1, Standard C compiler 3.0 (all routines except trees.c
# may be compiled with vector3; internal compiler bug in 3.0.2.3 and
# earlier requires vector2 for trees.c)
cray_v3:
	$(MAKE) zips CC="scc" \
		CFLAGS="-DUNIX -I. -O -h vector2 -h scalar3 -DHAVE_DIRENT_H"

# LynxOS
lynx:
	$(MAKE) generic CC=gcc CPP="gcc -E" CFLAGS="$(CFLAGS) -DNO_UNDERLINE -DLynx -DLYNX LFLAGS2="$LFLAGS2 -lc_p"

# MINIX 1.5.10 with Bruce Evans 386 patches and gcc/GNU make
minix:
	$(MAKE) zips CFLAGS="-DUNIX -I. -O -DDIRENT -DMINIX" CC=gcc
	chmem =262144 zip

# IBM OS/390 (formerly MVS) compiled under "OpenEdition" shell
# You can make the zip executable with IBM's make, but you will
# get errors dealing with the _.o targets for the other executables
# (zipcloak, etc).  GNU make will build all the executables.
# If you have GNU make in your path as gmake, uncomment the following:
#MAKE = gmake -f unix/Makefile
os390:
	${MAKE} zips CFLAGS="$(CF) -I. -DUNIX -DOS390 -DEBCDIC -DSYSV \
-DSYSV -DNO_PARAM_H" LFLAGS2=""

# QNX is "special" because out /bin/sh is ksh and it doesn't grok the
# configure script properly, generating a bad flags file.  D'oh! [cjh]
#
# QNX/Neutrino is "special" because you don't have any native development
# tools yet.  Set ARCH to "x86", "ppcbe", "ppcle", "mipsbe", or "mipsle"
# to produce x86, PowerPC (big- or little-endian) and MIPS (big-
# or little-endian) using gcc. [cjh]
qnx:
	$(MAKE) zips LN=ln CC=cc CFLAGS="-DUNIX -I. -O -DHAVE_DIRENT_H \
-DHAVE_TERMIOS_H -DNO_MKTEMP"

qnxnto:
	@if [ "$(ARCH)" = "" ] ; then \
		echo "You didn't set ARCH; I'll assume you meant ARCH=x86..." ; \
		echo "" ; \
		$(MAKE) zips LN=ln CC="qcc -Vgcc_ntox86" \
			CFLAGS="-g -DUNIX -I. -O -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP" \
			LFLAGS2=-g ; \
	else \
		echo "Making zip for $(ARCH)..." ; \
		echo "" ; \
		$(MAKE) zips LN=ln CC="qcc -Vgcc_nto$(ARCH)" \
			CFLAGS="-g -DUNIX -I. -O -DHAVE_DIRENT_H -DHAVE_TERMIOS_H -DNO_MKTEMP" \
			LFLAGS2=-g ; \
	fi

# Solaris:  Generic, plus generation of installable package.
solaris:	generic svr4package

# Solaris with GCC: generic_gcc, plus generation of installable package
solaris_gcc:	generic_gcc svr4package

# Package generation interface (by JBush). Originally tested under Sun Solaris.
# Other SVr4s may be very similar, and could possibly use this.
# Note:  Expects version info to be stored in VERSION macro variable.
# See "README" under ./unix/Packaging
svr4package:
	@echo "Creating SVR4 package for Unix ..."
	-@rm -rf ./$(PKGDIR) ./$(PKGDIR)_`uname -p`.pkg
	-@sed -e "s/.VERSION./$(VERSION)/g" \
	      -e "s/.PSTAMP./$(LOGNAME)_`date | tr  ' ' '_'`/g" \
	      -e "s/.ARCH./Solaris_`uname -rp | tr ' ' ','`/g" \
	      ./unix/Packaging/pkginfo.in > ./unix/Packaging/pkginfo
	-@sed -e "s/.ARCH./`uname -p`/g" \
	      ./unix/Packaging/preinstall.in > ./unix/Packaging/preinstall
	/usr/bin/pkgmk -d . -b . -r . -f ./unix/Packaging/prototype $(PKGDIR)
	/usr/bin/pkgtrans -o -s . $(PKGDIR)_`uname -p`.pkg $(PKGDIR)
	@echo " "
	@echo "To install, copy $(PKGDIR)_`uname -p`.pkg to the target system, and"
	@echo "issue the command (as root):  pkgadd -d $(PKGDIR)_`uname -p`.pkg"
	@echo " "

# make a distribution
dist:	$(ZIPMANUAL)
	eval zip -r9 zip`sed -e '/VERSION/!d' -e 's/.*"\(.*\)".*/\1/' \
			  -e 's/[.]//g' -e 's/ .*//g' -e q revision.h` *

# clean up after making stuff and installing it
clean:
	rm -f *.o $(ZIPS) flags
	rm -rf $(PKGDIR)

## boinc 6.4.5+dfsg

=== samples/example_app/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
    -DAPP_GRAPHICS \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L /usr/X11R6/lib \
    -L.

# the following should be freeglut; use nm to check
# you may have to change the paths for your system

ifeq ($(wildcard /usr/local/lib/libglut.a),)
	LIBGLUT = /usr/lib/libglut.a
	LIBGLU = /usr/lib/libGLU.a
	LIBJPEG = /usr/lib/libjpeg.a
else
	LIBGLUT = /usr/local/lib/libglut.a
	LIBGLU = /usr/local/lib/libGLU.a
	LIBJPEG = /usr/local/lib/libjpeg.a
endif

PROGS = uc2 \
# uc2_graphics
# make this optional so compile doesn't break on systems without OpenGL

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	/bin/rm -f $(PROGS) *.o

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

uc2: uc2.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread -lboinc_api -lboinc

uc2_graphics: uc2_graphics.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
	$(CXX) $(CXXFLAGS) -o uc2_graphics uc2_graphics.o libstdc++.a -pthread \
    -lboinc_graphics2 -lboinc_api -lboinc \
    $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
    -lGL -lX11 -lXmu -lm

## boinc 6.10.58+dfsg

=== samples/example_app/Makefile ===
--- 
+++ 
@@ -9,8 +9,6 @@
     -I$(BOINC_DIR) \
     -I$(BOINC_LIB_DIR) \
     -I$(BOINC_API_DIR) \
-    -L$(BOINC_API_DIR) \
-    -L$(BOINC_LIB_DIR) \
     -L /usr/X11R6/lib \
     -L.
 
@@ -37,16 +35,25 @@
 	ln -s `g++ -print-file-name=libstdc++.a`
 
 clean:
-	/bin/rm -f $(PROGS) *.o
+	/bin/rm -f $(PROGS) *.o libstdc++.a
 
 distclean:
 	/bin/rm -f $(PROGS) *.o libstdc++.a
 
+install: uc2
+
+# specify library paths explicitly (rather than -l)
+# because otherwise you might get a version in /usr/lib etc.
+
 uc2: uc2.o libstdc++.a $(BOINC_API_DIR)/libboinc_api.a $(BOINC_LIB_DIR)/libboinc.a
-	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread -lboinc_api -lboinc
+	$(CXX) $(CXXFLAGS) -o uc2 uc2.o libstdc++.a -pthread \
+	$(BOINC_API_DIR)/libboinc_api.a \
+	$(BOINC_LIB_DIR)/libboinc.a
 
 uc2_graphics: uc2_graphics.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_graphics2.a
 	$(CXX) $(CXXFLAGS) -o uc2_graphics uc2_graphics.o libstdc++.a -pthread \
-    -lboinc_graphics2 -lboinc_api -lboinc \
+	$(BOINC_API_DIR)/libboinc_graphics2.a \
+	$(BOINC_API_DIR)/libboinc_api.a \
+	$(BOINC_LIB_DIR)/libboinc.a \
     $(LIBGLUT) $(LIBGLU) $(LIBJPEG) \
     -lGL -lX11 -lXmu -lm

=== samples/sleeper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = sleeper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	rm $(PROGS)

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

sleeper: sleeper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o sleeper sleeper.o libstdc++.a -pthread -lboinc_api -lboinc

=== samples/wrapper/Makefile ===
# This should work on Linux.  Modify as needed for other platforms.

# Change the following to match your installation
BOINC_DIR = ../..
BOINC_API_DIR = $(BOINC_DIR)/api
BOINC_LIB_DIR = $(BOINC_DIR)/lib

CXXFLAGS = -g \
    -I$(BOINC_DIR) \
    -I$(BOINC_LIB_DIR) \
    -I$(BOINC_API_DIR) \
    -L$(BOINC_API_DIR) \
    -L$(BOINC_LIB_DIR) \
    -L.

PROGS = wrapper

all: $(PROGS)

libstdc++.a:
	ln -s `g++ -print-file-name=libstdc++.a`

clean:
	rm $(PROGS) *.o

distclean:
	/bin/rm -f $(PROGS) *.o libstdc++.a

wrapper: wrapper.o libstdc++.a $(BOINC_LIB_DIR)/libboinc.a $(BOINC_API_DIR)/libboinc_api.a
	g++ $(CXXFLAGS) -o wrapper wrapper.o libstdc++.a -pthread -lboinc_api -lboinc

=== debian/changelog ===
boinc (6.10.58+dfsg-3) unstable; urgency=low

  [ Steffen Moeller ]
  * Bumped policy to 3.9.1.0
  * Added the first graphical libraries as suggested
    dependencies of the boinc-manager package.

  [ Daniel Hahler ]
  * debian/boinc-client.init: wait until BOINC has ended for "stop"
    action. This fixes the post-removal script to be run too early,
    when the system user might be still logged in and cannot be
    deleted (LP: #583434). It also fixes the "restart" action.
  * debian/boinc-client.init: schedule: do not fail if chrt fails
    (LP: #629649).

 -- Daniel Hahler <ubuntu@thequod.de>  Sun, 19 Sep 2010 00:18:08 +0200

boinc (6.10.58+dfsg-2) unstable; urgency=low

  [ Daniel Hahler ]
  * Use chrt instead of schedtool (LP: #527639)
    - debian/control, debian/boinc-client.init
  [ Steffen Moeller ]
  * Removed from source tree for DFSG compliance
    - samples/glut
  * Adopted source format 3.0 (quilt)

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 17 Jul 2010 22:08:09 +0200

boinc (6.10.58+dfsg-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Adopted Daniel's changes for Debian, added him to
    uploaders.
  * Allowed DM-Upload (for Daniel)
  * Eye candy in debian/README* and debian/po*
  * Updated my email address
  * Update standards-version to 3.9.0 (No changes needed)

  [ Daniel Hahler ]
  * Refresh patches, especially 006_correct_catalog_path.patch
  * New upstream release
  * Check that files exist on which we tweak permissions
    during post-installation
  * Bump build-depend on debhelper to install udev rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.
  * Provide meta package "boinc", which depends on boinc-client and
     boinc-manager.
  * debian/control: libmysqlclient15-dev -> libmysqlclient-dev

  [ Rene Mayorga ]
  * Set the correct distribution (unstable).
  * Trim some Ubuntu's specific changelog entries and merge all 
    last Daniel's changes on this changelog enty.
  * Install coproc.h and cal.h as port of boinc-dev pacakage

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 13 Jul 2010 18:58:58 -0600

boinc (6.10.17+dfsg-3) unstable; urgency=low

  * Ignore errors when setting oom_adj for boinc client,
    Thanks to Gábor Gombás <gombasg@sztaki.hu> for the bug report
    and the hint for the solution. (Closes: #559053)
  * Fix str_replace.h installation path on boinc-dev package

 -- Rene Mayorga <rmayorga@debian.org>  Fri, 15 Jan 2010 19:34:46 -0600

boinc (6.10.17+dfsg-2ubuntu2) lucid; urgency=low

  * Install str_replace.h to /usr/include/boinc, not its subdirectory.

 -- Ilya Barygin <barygin@gmail.com>  Tue, 26 Jan 2010 14:05:12 +0300

boinc (6.10.17+dfsg-2) unstable; urgency=low

  * debian/control: remove kboincspy from boinc-client Suggest
  * include config.h on -dev package (Closes: #556816)
  * clean-up broken links on boinc-dev
  * install str_replace.h instead of std_fixes.h on -dev package.

 -- Rene Mayorga <rmayorga@debian.org>  Wed, 18 Nov 2009 19:04:45 -0600

boinc (6.10.17+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #553998)
    + better support for dark themes (Closes: #512508)
    + The -s (system tray option) was removed on upstream (Closes: #464192)
    + Better handling for WU over deadline - upstream 
      changeset 17399 (Closes: #513884)
  * debian/patches
    + 003_use_sensible-browser.patch updated
    + 006_correct_catalog_path.patch - refreshed
    + 005_using_hyphen_as_minus.patch removed - Applied upstream
    + 101_check_RSA_returned_values.patch  - Removed - Applied upstream
    + 102_gcc4.4_safe.patch Removed - Applied upstream
    + 006_correct_catalog_path.patch - updated
    + 002_remove_hardcoded_optimization.patch  Removed, not needed anymore
    + 004_exclude_sea.patch - Removed - not needed anymore
    + 001_dont_install_ca-bundle.crt.patch Removed not needed anymore
    + 200__don-t-assume_SCHED_BATCH_exist.patch - Added to Prevent FTBFS
      on kfreebsd
  * debian/copyright 
    + zip/zip and zip/unzip references removed
  * debian/rules
    + Adjust fix-perm for catalog files
  * use omm_adj to prevent boinc use all the system resources (Closes: #534418)
  * debian/control: Add libsqlite3-dev to B-D

 -- Rene Mayorga <rmayorga@debian.org>  Mon, 02 Nov 2009 14:44:14 -0600

boinc (6.4.5+dfsg-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, thanks to Cyril Brulebois and
    Petr Salinger for the bug report and patch (Closes: #544070)
  * Standards-Version set to 3.8.3 (No changes needed)
  * Use dversionmangle on debian/watch
  * debian/copyright: point to LGPL-2/GPL-2 instead of LGPL/GPL

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 05 Sep 2009 18:24:45 -0600

boinc (6.4.5+dfsg-2ubuntu2) karmic; urgency=low

  * Fix FTBFS, added 103_include_config_h.patch, use system functions
    when available (LP: #447933)

 -- Joao Pinto <joao.pinto@getdeb.net>  Sat, 10 Oct 2009 11:42:30 +0100

boinc (6.4.5+dfsg-2) unstable; urgency=low

  * Uploaded to unstable
  * Include a patch picked from Upstream SVN
     to avoid FTBFSs whith gcc 4.4 (Closes: #526666)
  * remove CUDA dir that contais binary-only non DFSG software
  * change section from boinc-dbg to debug
  * set orig +dfsg since we remove non-dfsg software 
    when we pull the tag from upstream
    + Add Comments about this on README.Source
  * Move schedtool to Recommends, (Closes: #532133)
  * Add ru debconf templates translation, thanks
    to Yuri Kozlov <yuray@komyakino.ru> (Closes: #531205)

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 23 May 2009 13:29:17 -0600

boinc (6.4.5-1ubuntu1) karmic; urgency=low

  * Merge from debian experimental (LP: #311107), remaining changes:
    - Bump build-depend on debhelper to install udev rules into
      /lib/udev/rules.d, add Breaks on udev to get correct version.
  * Provide meta package "boinc", which depends on boinc-client and
    boinc-manager (LP: #226612).
  * Add debian/patches/102_wxPanel_instead_wxControl_r17501.patch,


=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, 
 Christoph Martin <christoph.martin@uni-mainz.de>,
 Rene Mayorga <rmayorga@debian.org>,
 Daniel Hahler <ubuntu@thequod.de>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1.0
Build-Depends: debhelper (>= 7.0.17ubuntu2), po-debconf, dh-buildinfo,
 docbook2x, docbook-xml, autotools-dev, automake1.9 (>= 1.9.3),
 autoconf (>= 2.59), libxml2-utils, gettext, zlib1g-dev, libssl-dev,
 libcurl4-openssl-dev (>= 7.17.1), freeglut3-dev, libsm-dev, libice-dev,
 libxmu-dev, libxi-dev, libx11-dev, libjpeg62-dev, libwxgtk2.8-dev,
 libsqlite3-dev
Homepage: http://boinc.berkeley.edu/
Vcs-Git: git://git.debian.org/git/pkg-boinc/boinc.git
Vcs-Browser: http://git.debian.org/?p=pkg-boinc/boinc.git

Package: boinc
Architecture: any
Depends: boinc-client, boinc-manager, ${misc:Depends}
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.3), adduser,
 lsb-base (>= 3.0-6), ca-certificates
Suggests: boinc-app-seti, boinc-manager
Breaks: udev (<< 136-1)
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the projects application's program to be then
 wrapped by the BOINC core client.

Package: boinc-manager
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: boinc-client
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, for example it
 shows attached projects, running tasks or file transfers between the
 client and project servers. It also shows statistics about granted
 credits and disk usage of the client and the projects. The BOINC
 Manager has two modes of operation, the "Simple View" in which it only
 displays the most important information and the "Advanced View" in
 which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6-dev | libc-dev,
 libstdc++6-4.3-dev | libstdc++-dev, libssl-dev, libmysqlclient-dev
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files and static libraries that are
 needed to develop and compile applications which utilizes the BOINC
 infrastructure.

Package: boinc-dbg
Section: debug
Priority: extra
Architecture: any
Depends: boinc-client (= ${binary:Version}) | boinc-manager (= ${binary:Version}), ${misc:Depends}
Suggests: libcurl3-dbg, libssl0.9.8-dbg, libwxgtk2.8-dbg
Description: debugging symbols for BOINC binaries
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains unstripped versions of all binaries included in
 the BOINC packages. It is provided primarily to provide a backtrace
 with names in a debugger, this makes it somewhat easier to interpret
 core dumps.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See http://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

CFLAGS += -g -Wall
CXXFLAGS += -g -Wall
LDFLAGS += -Wl,--as-needed

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_OPT_FLAGS = -O0
  DEB_OPT_FLAGS_boinc-client = -O0
else
  DEB_OPT_FLAGS = -O2
  DEB_OPT_FLAGS_boinc-client = -O3
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client += $(DEB_OPT_FLAGS_boinc-client)
CXXFLAGS_boinc-client += $(DEB_OPT_FLAGS_boinc-client)

CFGFLAGS = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  --enable-client \
  --disable-server \
  --enable-unicode \
  --with-ssl \
  CFLAGS="$(CFLAGS)" \
  CXXFLAGS="$(CXXFLAGS)" \
  LDFLAGS="$(LDFLAGS)"

CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --enable-client \
  --disable-server \
  --with-ssl \
  --without-wx-config \
  CFLAGS="$(CFLAGS_boinc-client)" \
  CXXFLAGS="$(CXXFLAGS_boinc-client)" \
  LDFLAGS="$(LDFLAGS)"

test-stamp:
	dh_testdir
	xmllint --nonet --noout \
	  debian/conffiles/cc_config.xml \
	  debian/conffiles/global_prefs_override.xml
	touch $@

autoreconf-stamp:
	dh_testdir
	cp -f /usr/share/misc/config.guess config.guess
	cp -f /usr/share/misc/config.sub config.sub
	aclocal-1.9 -I m4 && autoheader && automake-1.9 && autoconf
	touch $@

build: test-stamp build-stamp
build-stamp: autoreconf-stamp build-boinc-client-stamp
	dh_testdir
	./configure $(CFGFLAGS)
	$(MAKE)
	docbook2x-man debian/manpages/update-boinc-applinks.xml
	# Generate binary message catalogs of the BOINC Manager.
	for i in `ls locale/client`; do \
	  if [ -f "locale/client/$$i/BOINC-Manager.po" ]; then \
	    msgfmt -o "locale/client/$$i/BOINC-Manager.mo" \
	      "locale/client/$$i/BOINC-Manager.po"; \
	  fi; \
	done;
	touch $@

build-boinc-client-stamp: autoreconf-stamp
	dh_testdir
	./configure $(CFGFLAGS_boinc-client)
	$(MAKE)
	#cp client/boinc.unmodified client/boinc.optimized
	touch $@

clean: clean-patched 
clean-patched:
	$(RM) -r .pc
	dh clean 
	dh_clean \
	  client/boinc.optimized \
	  update-boinc-applinks.1 \
	  `find -name Makefile.in` \
	  aclocal.m4 \
	  config.h.in \
	  configure \
	  locale/client/ar/BOINC\ Manager.mo \
	  config.guess \
	  config.sub \
	  client/scripts/Makefile \
	  client/scripts/boinc-client \
	  clientgui/res/Makefile \
	  sea/Makefile   \
	  api/libboinc_api.a \
	  api/libboinc_graphics2.a \
	  lib/libboinc.a \
	  client/boinc \
	  packages/solaris/CSW/boincclient/pkginfo \
	  packages/solaris/CSW/boincclient/prototype \
	  packages/solaris/CSW/boincdevel/pkginfo \
	  packages/solaris/CSW/boincdevel/prototype \
	  packages/solaris/CSW/boinclibs/pkginfo \
	  packages/solaris/CSW/boinclibs/prototype \
	  packages/solaris/CSW/boincmanager/pkginfo \
	  packages/solaris/CSW/boincmanager/prototype \
	  packages/solaris/CSW/Makefile \
	  packages/generic/sea/Makefile \
	  packages/solaris/CSW/boincclient/Makefile \
	  packages/solaris/CSW/boincdevel/Makefile \
	  packages/solaris/CSW/boinclibs/Makefile \
	  packages/solaris/CSW/boincmanager/Makefile
	debconf-updatepo

install: build install-stamp
install-stamp:
	dh install --after dh_auto_test --until dh_install
	
	# Install files for the boinc-client package.
	install -D client/boinc \
	  debian/boinc-client/usr/bin/boinc
	
	install -D client/boinccmd \
	  debian/boinc-client/usr/bin/boinccmd
	
	# Install files for the boinc-manager package.
	install -D clientgui/boincmgr \
	  debian/boinc-manager/usr/bin/boincmgr
	
	rm -rf debian/boinc-manager/usr/share/locale/en_US/
	
	dh install --before dh_installchangelogs
	dh_installchangelogs -k checkin_notes
	dh install --until dh_fixperms
	chmod 755 \
	  debian/boinc-client/usr/share/boinc-client/udev-cpu_share \
	  debian/boinc-client/usr/share/bug/boinc-client/script \
	  debian/boinc-manager/usr/share/doc/boinc-manager/examples/run-boincmgr
	# Correct catalog file perms
	find ./ -name "*.mo" -exec chmod 644   {} \;
	# delete empty dirs
	find debian/boinc-manager/usr/share/locale -type d -empty -delete
	dh install
	dh_buildinfo
	touch $@

binary-arch: install
	dh binary-arch --before dh_strip
	dh_strip -a --dbg-package=boinc-dbg
	dh binary-arch

binary-indep: 
	# nothing to do

binary: binary-arch

origDir ?= .

get-orig-source:
	LATEST_VERSION=`svn list http://boinc.berkeley.edu/svn/tags/ | \
	  sed 's/boinc_core_release_\(.*\)\//\1/' | \
	  sort -g -t_ -k1 -k2 -k3 | sed 's/_/./g' | tail -n 1 | tr -d '\n'`; \
	if [ -z "$$VERSION" ]; then VERSION=$$LATEST_VERSION; fi ; \
	EXB=/tmp/export-boinc; \
	wget -O $$EXB "http://git.debian.org/?p=pkg-boinc/scripts.git;a=blob_plain;f=export-boinc;hb=HEAD" --quiet; \
	chmod +x $$EXB; \
	$$EXB -r $$VERSION -t $(origDir); \
	rm -f $$EXB

.PHONY: build clean clean-patched install binary-arch binary get-orig-source

=== debian/watch ===
version=3
opts="dversionmangle=s/\./_/g;s/\+dfsg//,uversionmangle=s/\///" \
  http://boinc.berkeley.edu/svn/tags/boinc_core_release_(\d+_\d*[13579]_.*)

## boinc 6.10.59+dfsg

=== debian/changelog ===
boinc (6.10.59+dfsg-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
    This fixes a segfault in "Attach to project" (LP: #714586).
  * The orig.tar.gz has been generated with the latest version of
    export-boinc from git://git.debian.org/git/pkg-boinc/boinc.git for DFSG
    compliance. Thanks Steffen Moeller.

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 22 Mar 2011 22:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: boinc
 Section: net
 Priority: optional
-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>, 
  Christoph Martin <christoph.martin@uni-mainz.de>,
  Rene Mayorga <rmayorga@debian.org>,
